<?
if (DB :: $pdo -> querySingle("SELECT COUNT(*) FROM `groups_komm` WHERE `id_group` = '".$group['id']."' AND `id` = '".intval($_GET['edit_komms'])."'") > 0)
{
    $poster = DB :: $pdo -> queryFetch("SELECT * FROM `groups_komm` WHERE `id` = ? AND `id_group` = ? LIMIT 1;", array(intval($_GET['edit_komms']), $group['id']));
    if (isset($_GET['komm_files']))
    {
        require('komm_files2.php');
        exit;
    }
    $title = "".stripcslashes(htmlspecialchars($group['name']))."";
    $l = "".stripcslashes(htmlspecialchars($group['name']))."";
    require (CORE."head.php");
    require('inc.php');
    if (isset($_POST['cfms']))
    {
        if (!isset($_POST['komment']) || $_POST['komment']==NULL)
        {
        	$errMsg = "Вы должны что-то написать!";
        } else {
            $komm = system :: check($_POST['komment']);
            if (isset($_POST['as_admin']) && is_numeric($_POST['as_admin']) && $_POST['as_admin']==1 && (($user['id']==$ank['id'] && $group['d_user'] == 0) || $user['id'] == 1 || $group_user['admin'] > 0))
            {
                $as_admin = 1;
            } else {
                $as_admin = 0;
            }
        	if (DB :: $pdo -> query("UPDATE `groups_komm` SET `as_admin` = '".$as_admin."', `post` = '".$komm."' WHERE `id` = '".$poster['id']."' LIMIT 1"))
            {
                system :: redirect("Сообщение успешно изменено.", "/groups/?group=".$group['id']."&komm=".$post['id']."&edit_komms=".$poster['id']."");
        	} else {
        		$errMsg = "Неизвестная ошибка.!";
        	}
        }
    }
    if (isset($errMsg))
    {
        system :: show($errMsg);
    }
    ?>
      <div class="app-block"> <div>
         
                        <form method="post" data-type="arbour"  action="/groups/?group=<?echo $group['id'];?>&komm=<?echo $post['id'];?>">
                   
                <div>
                    <textarea name="komment" class="app-textarea" id="komment" data-id="emoji-block_1" placeholder="Расскажите друзьям что у Вас нового.."><?=$poster['post']?></textarea>
                </div>
                             <div class="list _bg-blue">
                    
                    <div class="list-fle">
                        <input class="main-btn" type="submit" name="cfms" value="Сохранить">
                    
                    <?
            if (isset($user['id']) && (($user['id']==$ank['id'] && $group['d_user'] == 0) || $user['id'] == 1 || $group_user['admin'] > 0))
            {
            ?>
                  
                        
                                <label class="">
                               <input type="checkbox"<?echo "".($poster['as_admin']==1?" checked='checked'":null)."";?> name="as_admin" value="1"> от имени группы
                                </label>
                          
                    <?
                    }
                    ?>
		
                    
                    
             
              
                        <i class="SmileButton" id="SmileButton" style="display: inline;"></i>                       
                    </div>
                    
                </div>
                    
            </form>
        </div>
    
    
    
    

<?
} else {
    $title = "".stripcslashes(htmlspecialchars($group['name']))."";
    $l = "".stripcslashes(htmlspecialchars($group['name']))."";
    require (CORE."head.php");
    require('inc.php');
    ?>
    <div class="list _gray _font-s _center">Сообщение не найдено!</div>
    <?
}
echo system :: touch("/groups/?group=".$group['id']."&komm=".$post['id']."", system :: icon("arr-l")."Назад");
require (CORE."foot.php");
?>